<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>laravel/laravel</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <base href="../">
    <link rel="icon" href="images/favicon.ico"/>
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/base.css">
            <link rel="preconnect" href="https://fonts.gstatic.com">
        <link href="https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Source+Code+Pro:wght@400;600;700&display=swap" rel="stylesheet">
        <link rel="stylesheet" href="css/template.css">
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0/css/all.min.css" integrity="sha256-ybRkN9dBjhcS2qrW1z+hfCxq+1aBdwyQM5wlQoQVt/0=" crossorigin="anonymous" />
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/themes/prism-okaidia.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.css">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.css">
                <script src="https://cdn.jsdelivr.net/npm/fuse.js@3.4.6"></script>
        <script src="https://cdn.jsdelivr.net/npm/css-vars-ponyfill@2"></script>
        <script src="js/search.js"></script>
        <script defer src="js/searchIndex.js"></script>
    </head>
<body id="top">
    <header class="phpdocumentor-header phpdocumentor-section">
    <h1 class="phpdocumentor-title"><a href="" class="phpdocumentor-title__link">laravel/laravel</a></h1>
    <input class="phpdocumentor-header__menu-button" type="checkbox" id="menu-button" name="menu-button" />
    <label class="phpdocumentor-header__menu-icon" for="menu-button">
        <i class="fas fa-bars"></i>
    </label>
    <section data-search-form class="phpdocumentor-search">
    <label>
        <span class="visually-hidden">Search for</span>
        <svg class="phpdocumentor-search__icon" width="21" height="20" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
            <circle cx="7.5" cy="7.5" r="6.5" stroke="currentColor" stroke-width="2"/>
            <line x1="12.4892" y1="12.2727" x2="19.1559" y2="18.9393" stroke="currentColor" stroke-width="3"/>
        </svg>
        <input type="search" class="phpdocumentor-field phpdocumentor-search__field" placeholder="Loading .." disabled />
    </label>
</section>

    <nav class="phpdocumentor-topnav">
    <ul class="phpdocumentor-topnav__menu">
        </ul>
</nav>
</header>

    <main class="phpdocumentor">
        <div class="phpdocumentor-section">
            <input class="phpdocumentor-sidebar__menu-button" type="checkbox" id="sidebar-button" name="sidebar-button" />
<label class="phpdocumentor-sidebar__menu-icon" for="sidebar-button">
    Menu
</label>
<aside class="phpdocumentor-column -four phpdocumentor-sidebar">
                    <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Namespaces</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/app.html">App</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/app-actions.html">Actions</a>
                
            </li>
                    <li>
                <a href="namespaces/app-console.html">Console</a>
                
            </li>
                    <li>
                <a href="namespaces/app-exceptions.html">Exceptions</a>
                
            </li>
                    <li>
                <a href="namespaces/app-facade.html">Facade</a>
                
            </li>
                    <li>
                <a href="namespaces/app-http.html">Http</a>
                
            </li>
                    <li>
                <a href="namespaces/app-mail.html">Mail</a>
                
            </li>
                    <li>
                <a href="namespaces/app-models.html">Models</a>
                
            </li>
                    <li>
                <a href="namespaces/app-providers.html">Providers</a>
                
            </li>
                    <li>
                <a href="namespaces/app-setting.html">Setting</a>
                
            </li>
                    <li>
                <a href="namespaces/app-view.html">View</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/database.html">Database</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/database-factories.html">Factories</a>
                
            </li>
                    <li>
                <a href="namespaces/database-seeders.html">Seeders</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/packages.html">Packages</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/packages-explorer.html">Explorer</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-filemanager.html">FileManager</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-form.html">Form</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-layer.html">Layer</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-metadatagis.html">MetadataGis</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-pages.html">Pages</a>
                
            </li>
                    <li>
                <a href="namespaces/packages-statistic.html">Statistic</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="namespaces/tests.html">Tests</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="namespaces/tests-feature.html">Feature</a>
                
            </li>
                    <li>
                <a href="namespaces/tests-unit.html">Unit</a>
                
            </li>
            </ul>

                        </section>
                <section class="phpdocumentor-sidebar__category">
            <h2 class="phpdocumentor-sidebar__category-header">Packages</h2>
                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="packages/Application.html">Application</a></h4>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="packages/Geonodo.html">Geonodo</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="packages/Geonodo-Components.html">Components</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="packages/Packages.html">Packages</a></h4>
    <ul class="phpdocumentor-list">
                    <li>
                <a href="packages/Packages-MetadataGis.html">MetadataGis</a>
                
            </li>
            </ul>

                                    <h4 class="phpdocumentor-sidebar__root-namespace"><a href="packages/Laravel.html">Laravel</a></h4>

                        </section>
            
    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Reports</h2>
                <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/deprecated.html">Deprecated</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/errors.html">Errors</a></h3>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="reports/markers.html">Markers</a></h3>
    </section>

    <section class="phpdocumentor-sidebar__category">
        <h2 class="phpdocumentor-sidebar__category-header">Indices</h2>
        <h3 class="phpdocumentor-sidebar__root-package"><a href="indices/files.html">Files</a></h3>
    </section>
</aside>

            <div class="phpdocumentor-column -eight phpdocumentor-content">
                    <ul class="phpdocumentor-breadcrumbs">
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/app.html">App</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/app-console.html">Console</a></li>
            <li class="phpdocumentor-breadcrumb"><a href="namespaces/app-console-commands.html">Commands</a></li>
    </ul>

    <article class="phpdocumentor-element -class">
        <h2 class="phpdocumentor-content__title">
    CreateDevInstance

        <span class="phpdocumentor-element__extends">
        extends <abbr title="\Illuminate\Console\Command">Command</abbr>
    </span>
    
            <div class="phpdocumentor-element__package">
            in package
            <ul class="phpdocumentor-breadcrumbs">
                                    <li class="phpdocumentor-breadcrumb"><a href="packages/Application.html">Application</a></li>
                            </ul>
        </div>
    
    
    </h2>

        <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="app/Console/Commands/CreateDevInstance.php"><a href="files/app-console-commands-createdevinstance.html"><abbr title="app/Console/Commands/CreateDevInstance.php">CreateDevInstance.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">12</span>

    </aside>

        
    <section class="phpdocumentor-description"></section>








<h3 id="toc">
    Table of Contents
    <a href="#toc" class="headerlink"><i class="fas fa-link"></i></a>
</h3>

<dl class="phpdocumentor-table-of-contents">
                <dt class="phpdocumentor-table-of-contents__entry -property -protected">
    <a href="classes/App-Console-Commands-CreateDevInstance.html#property_description">$description</a>
    <span>
                &nbsp;: string            </span>
</dt>
<dd>The console command description.</dd>

            <dt class="phpdocumentor-table-of-contents__entry -property -protected">
    <a href="classes/App-Console-Commands-CreateDevInstance.html#property_signature">$signature</a>
    <span>
                &nbsp;: string            </span>
</dt>
<dd>The name and signature of the console command.</dd>

                <dt class="phpdocumentor-table-of-contents__entry -method -public">
    <a href="classes/App-Console-Commands-CreateDevInstance.html#method_handle">handle()</a>
    <span>
                        &nbsp;: int    </span>
</dt>
<dd>Execute the console command.</dd>

        </dl>



        

        
    <section class="phpdocumentor-properties">
        <h3 class="phpdocumentor-elements__header" id="properties">
            Properties
            <a href="classes/App-Console-Commands-CreateDevInstance.html#properties" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="
            phpdocumentor-element
            -property
            -protected
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_description">
        $description
        <a href="classes/App-Console-Commands-CreateDevInstance.html#property_description" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="app/Console/Commands/CreateDevInstance.php"><a href="files/app-console-commands-createdevinstance.html"><abbr title="app/Console/Commands/CreateDevInstance.php">CreateDevInstance.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">26</span>

    </aside>

        <p class="phpdocumentor-summary">The console command description.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">protected</span>
        <span class="phpdocumentor-signature__type">string</span>
    <span class="phpdocumentor-signature__name">$description</span>
     = <span class="phpdocumentor-signature__default-value">&#039;Create an admin with an instance and a menu with all the available packages&#039;</span></code>

    
    
    

</article>
                    <article
        class="
            phpdocumentor-element
            -property
            -protected
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="property_signature">
        $signature
        <a href="classes/App-Console-Commands-CreateDevInstance.html#property_signature" class="headerlink"><i class="fas fa-link"></i></a>
        <span class="phpdocumentor-element__modifiers">
                                </span>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="app/Console/Commands/CreateDevInstance.php"><a href="files/app-console-commands-createdevinstance.html"><abbr title="app/Console/Commands/CreateDevInstance.php">CreateDevInstance.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">19</span>

    </aside>

        <p class="phpdocumentor-summary">The name and signature of the console command.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">protected</span>
        <span class="phpdocumentor-signature__type">string</span>
    <span class="phpdocumentor-signature__name">$signature</span>
     = <span class="phpdocumentor-signature__default-value">&#039;make:dev&#039;</span></code>

    
    
    

</article>
            </section>

            <section class="phpdocumentor-methods">
        <h3 class="phpdocumentor-elements__header" id="methods">
            Methods
            <a href="classes/App-Console-Commands-CreateDevInstance.html#methods" class="headerlink"><i class="fas fa-link"></i></a>
        </h3>
                    <article
        class="phpdocumentor-element
            -method
            -public
                                                        "
>
    <h4 class="phpdocumentor-element__name" id="method_handle">
        handle()
        <a href="classes/App-Console-Commands-CreateDevInstance.html#method_handle" class="headerlink"><i class="fas fa-link"></i></a>
    </h4>
    <aside class="phpdocumentor-element-found-in">
    <abbr class="phpdocumentor-element-found-in__file" title="app/Console/Commands/CreateDevInstance.php"><a href="files/app-console-commands-createdevinstance.html"><abbr title="app/Console/Commands/CreateDevInstance.php">CreateDevInstance.php</abbr></a></abbr>
    :
    <span class="phpdocumentor-element-found-in__line">34</span>

    </aside>

        <p class="phpdocumentor-summary">Execute the console command.</p>

    <code class="phpdocumentor-code phpdocumentor-signature ">
    <span class="phpdocumentor-signature__visibility">public</span>
                <span class="phpdocumentor-signature__name">handle</span><span>(</span><span>)</span><span> : </span><span class="phpdocumentor-signature__response_type">int</span></code>

    
    
    

        <h5 class="phpdocumentor-return-value__heading">Return values</h5>
    <span class="phpdocumentor-signature__response_type">int</span>
            &mdash;
        
    
</article>
            </section>

        
    <script type="text/javascript">
        function loadExternalCodeSnippets(line) {
            Array.prototype.slice.call(document.querySelectorAll('pre[data-src]')).forEach((pre) => {
                var src = pre.getAttribute('data-src').replace( /\\/g, '/');
                var extension = (src.match(/\.(\w+)$/) || [, ''])[1];
                var language = 'php';

                var code = document.createElement('code');
                code.className = 'language-' + language;

                pre.textContent = '';

                pre.setAttribute('data-line', line)
                code.textContent = 'Loading…';

                pre.appendChild(code);

                var xhr = new XMLHttpRequest();

                xhr.open('GET', src, true);

                xhr.onreadystatechange = function () {
                    if (xhr.readyState == 4) {

                        if (xhr.status < 400 && xhr.responseText) {
                            code.textContent = xhr.responseText;

                            Prism.highlightElement(code);
                        }
                        else if (xhr.status >= 400) {
                            code.textContent = '✖ Error ' + xhr.status + ' while fetching file: ' + xhr.statusText;
                        }
                        else {
                            code.textContent = '✖ Error: File does not exist, is empty or trying to view from localhost';
                        }
                    }
                };

                xhr.send(null);
            });
        }

        var modals = document.querySelectorAll("[data-modal]");

        modals.forEach(function (trigger) {
            trigger.addEventListener("click", function (event) {
                //event.preventDefault();
                const modal = document.getElementById(trigger.dataset.modal);
                modal.classList.add("phpdocumentor-modal__open");
                loadExternalCodeSnippets(trigger.dataset.line)
                const exits = modal.querySelectorAll("[data-exit-button]");
                exits.forEach(function (exit) {
                    exit.addEventListener("click", function (event) {
                        event.preventDefault();
                        modal.classList.remove("phpdocumentor-modal__open");
                    });
                });
            });
        });
    </script>

    </article>
                <section data-search-results class="phpdocumentor-search-results phpdocumentor-search-results--hidden">
    <section class="phpdocumentor-search-results__dialog">
        <header class="phpdocumentor-search-results__header">
            <h2 class="phpdocumentor-search-results__title">Search results</h2>
            <button class="phpdocumentor-search-results__close"><i class="fas fa-times"></i></button>
        </header>
        <section class="phpdocumentor-search-results__body">
            <ul class="phpdocumentor-search-results__entries"></ul>
        </section>
    </section>
</section>
            </div>
        </div>
        <a href="classes/App-Console-Commands-CreateDevInstance.html#top" class="phpdocumentor-back-to-top"><i class="fas fa-chevron-circle-up"></i></a>

    </main>

    <script>
        cssVars({});
    </script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/prism.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/autoloader/prism-autoloader.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-numbers/prism-line-numbers.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/prismjs@1.23.0/plugins/line-highlight/prism-line-highlight.min.js"></script>
</body>
</html>
